## bind9 9.9.5.dfsg-9+deb8u31

=== debian/changelog ===
bind9 (1:9.9.5.dfsg-9+deb8u31) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2023-50387 and CVE-2023-50868
    Specific DNS answers could cause a denial-of-service
    condition due to DNS validation taking a long time.
    (CVE-2023-50387)
    The same code change also addresses another problem:
    preparing NSEC3 closest encloser proofs could exhaust
    available CPU resources. (CVE-2023-50868)
  * Add debian/.gitlab-ci.yml using recipe for jessie
  * Add debian/tests/ from buster
  * Make d/tests/validation less flaky.

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 17 May 2024 14:00:25 -0300

bind9 (1:9.9.5.dfsg-9+deb8u30) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2023-3341
    A stack exhaustion flaw was discovered in the control channel code
    which may result in denial of service (named daemon crash).

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Feb 2024 10:03:02 +0100

bind9 (1:9.9.5.dfsg-9+deb8u29) jessie-security; urgency=high

  * Non-maintainer upload by the Debian ELTS Team.
  * CVE-2023-2828: It was discovered that the effectiveness of the
    cache-cleaning algorithm used in named(5) can be severely diminished by
    querying the resolver for specific RRsets in a certain order, effectively
    allowing the configured max-cache-size limit to be significantly exceeded.

 -- Chris Lamb <lamby@debian.org>  Tue, 25 Jul 2023 10:36:56 +0100

bind9 (1:9.9.5.dfsg-9+deb8u28) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Build-depend on quilt, apply and clean up patches during the build.
  * Make CVE-2020-8625 a real patch, and unapply it from the diff.gz and
    from a half-applied state in .pc (looks like it had been applied with
    quilt, was listed in d/p/series, but there was no .patch file).
  * Move CVE-2015-5722.patch from ./ to debian/patches/ and apply it using
    quilt, unapplying it from the .diff.gz.
  * Use standalone CVE-2020-8622.patch from stretch, unapply it from the
    .diff.gz.
  * Move CVE-2021-25219 changes to a patch as well. Add CVE annotation to
    1:9.9.5.dfsg-9+deb8u23 changelog entry.
  * Move changes from CVE-2021-25214, CVE-2021-25215, CVE-2021-25216 to
    standalone patches.
  * With all patches applied, there's no diff between deb8u27 and deb8u28
    up to this point, other than to the debian/ dir itself. All of these
    changes have been done for maintainability purpuses, so that it's easier
    to know what has changed and when, and it's easy for anyone to revert
    a change if it was deemed necessary, as well as for security reviews.

  * New security fixes addressed in this release:
    - CVE-2022-2795: degraded performance when processing large delegations.
    - CVE-2022-38177: memory leak in ECDSA verification.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Oct 2022 11:44:29 +0200

bind9 (1:9.9.5.dfsg-9+deb8u27) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Apply the fix for CVE-2021-25220 again but do not patch the exported
    libraries because the only reverse-dependency isc-dhcp is not affected.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Apr 2022 13:04:04 +0200

bind9 (1:9.9.5.dfsg-9+deb8u25) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * The patch for CVE-2021-25220 caused a regression in the isc-dhcp-client
    package which prevented network configuration via the dhclient. This patch
    has been reverted until the regression can be properly addressed.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Mar 2022 00:09:50 +0100

bind9 (1:9.9.5.dfsg-9+deb8u24) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2021-25220:
    When using forwarders, bogus NS records supplied by, or via, those
    forwarders may be cached and used by named if it needs to recurse for any
    reason, causing it to obtain and pass on potentially incorrect answers.

 -- Markus Koschany <apo@debian.org>  Thu, 17 Mar 2022 14:55:34 +0100

bind9 (1:9.9.5.dfsg-9+deb8u23) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * In BIND exploitation of broken authoritative servers using a flaw in
    response processing can cause degradation in BIND resolver performance. The
    way the lame cache is currently designed makes it possible for its internal
    data structures to grow almost infinitely, which may cause significant
    delays in client query processing (CVE-2021-25219).

 -- Markus Koschany <apo@debian.org>  Tue, 02 Nov 2021 01:07:11 +0100

bind9 (1:9.9.5.dfsg-9+deb8u22) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2021-25214: A malformed incoming IXFR transfer could trigger
    an assertion failure in ``named``, causing it to quit abnormally.
  * CVE-2021-25215: ``named`` crashed when a DNAME record placed in
    the ANSWER section during DNAME chasing turned out to be the final
    answer to a client query.
  * CVE-2021-25216: Compile with system provided SPNEGO
  * Ensure all resources are properly cleaned up when a call to
    gss_accept_sec_context() fails.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 May 2021 12:37:49 +0200

bind9 (1:9.9.5.dfsg-9+deb8u21) jessie-security; urgency=high

  * CVE-2020-8625: Prevent a buffer overflow attack in the GSSAPI ("Generic
    Security Services") security policy negotiation. (Closes: #983004)

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Feb 2021 08:43:18 +0000

bind9 (1:9.9.5.dfsg-9+deb8u20) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team. 
  * CVE-2020-8622
    Crafted responses to TSIG-signed requests could lead to an assertion
    failure, causing the server to exit. This could be done by malicious
    server operators or guessing attackers.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 May 2020 21:03:02 +0200


