=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: LaMont Jones <lamont@debian.org>
Uploaders: Michael Gilbert <mgilbert@debian.org>
Build-Depends: libkrb5-dev, debhelper (>= 5), libssl-dev, libtool, bison, libdb-dev (>>4.6), libldap2-dev, libxml2-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], hardening-wrapper, libgeoip-dev (>= 1.4.6.dfsg-5), dpkg-dev (>= 1.15.5), python, python-argparse, dh-systemd, autotools-dev, dh-autoreconf, quilt
Build-Conflicts: libdb4.2-dev
Standards-Version: 3.7.3.0
XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/bind9.git
XS-Vcs-Git: git://git.debian.org/~lamont/bind9.git

Package: bind9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, netbase, adduser, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisc95 (=${binary:Version}), libisccc90 (=${binary:Version}), lsb-base (>= 3.2-14), bind9utils (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version}), net-tools
Conflicts: bind, apparmor-profiles (<< 2.1+1075-0ubuntu4)
Replaces: bind, dnsutils (<< 1:9.1.0-3), apparmor-profiles (<< 2.1+1075-0ubuntu4), bind9utils (<< 1:9.9.3.dfsg.P2-3)
Suggests: dnsutils, bind9-doc, resolvconf, ufw
Description: Internet Domain Name Server
 ${Description}
 .
 This package provides the server and related configuration files.

Package: bind9utils
Architecture: any
Replaces: bind9 (<= 1:9.9.5.dfsg-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-argparse
Description: Utilities for BIND
 This package provides various utilities that are useful for maintaining a
 working BIND installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for BIND
 This package provides various documents that are useful for maintaining a
 working BIND installation.

Package: host
Priority: standard
Architecture: all
Depends: ${misc:Depends}, bind9-host
Description: Transitional package
 This dummy package is provided for a smooth transition from the previous
 host package.  It may safely be removed after installation.

Package: bind9-host
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisc95 (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version})
Conflicts: host (<<1:9.7.0), dnsutils (<< 1:9.0.0)
Replaces: dnsutils (<< 1:9.0.0), host (<< 1:9.7.0)
Provides: host
Description: Version of 'host' bundled with BIND 9.X
 This package provides the 'host' program in the form that is bundled with
 the BIND 9.X sources.

Package: libbind-dev
Section: libdevel
Architecture: any
Conflicts: bind-dev
Replaces: bind-dev
Depends: ${misc:Depends}, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisc95 (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version})
Description: Static Libraries and Headers used by BIND
 This package delivers archive-style libraries, header files, and API man
 pages for libbind, libdns, libisc, and liblwres.  These are only needed 
 if you want to compile other packages that need more nameserver API than the 
 resolver code provided in libc.

Package: libbind9-90
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns100, libisccfg90, libisc95
Description: BIND9 Shared Library used by BIND
 ${Description}
 .
 This package delivers the libbind9 shared library used by BIND's daemons and
 clients.

Package: libdns100
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libisc95
Description: DNS Shared Library used by BIND
 ${Description}
 .
 This package delivers the libdns shared library used by BIND's daemons and
 clients.

Package: libisc95
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ISC Shared Library used by BIND
 ${Description}
 .
 This package delivers the libisc shared library used by BIND's daemons and
 clients.

Package: liblwres90
Section: libs
Priority: standard
Architecture: any
Replaces: libbind0
Conflicts: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Resolver Library used by BIND
 ${Description}
 .
 This package delivers the liblwres shared library used by BIND's daemons
 and clients.

Package: libisccc90
Section: libs
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libisc95
Description: Command Channel Library used by BIND
 ${Description}
 .
 This package delivers the libisccc shared library used by BIND's daemons
 and clients, particularly rndc.

Package: libisccfg90
Section: libs
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns100, libisccc90, libisc95
Description: Config File Handling Library used by BIND
 ${Description}
 .
 This package delivers the libisccfg shared library used by BIND's daemons
 and clients to read and write ISC-style configuration files like named.conf
 and rndc.conf.

Package: dnsutils
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bind9-host | host, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisc95 (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version})
Suggests: rblcheck
Conflicts: netstd (<< 2.00)
Replaces: bind, bind9 (<< 1:9.1.0-3)
Description: Clients provided with BIND
 ${Description}
 .
 This package delivers various client programs related to DNS that are 
 derived from the BIND source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

Package: lwresd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libdns100 (=${binary:Version}), libisccfg90 (=${binary:Version}), libisccc90 (=${binary:Version}), libisc95 (=${binary:Version}), liblwres90 (=${binary:Version}), libbind9-90 (=${binary:Version})
Recommends: libnss-lwres
Suggests: bind9utils
Description: Lightweight Resolver Daemon
 lwresd is the daemon providing name lookup services to clients that use
 the BIND 9 lightweight resolver library.  It is essentially a stripped-
 down, caching-only name server that answers queries using the BIND 9
 lightweight resolver protocol rather than the DNS protocol.

Package: libbind-export-dev
Section: libdevel
Architecture: any
Conflicts: libbind-dev
Depends: ${misc:Depends}, libdns-export100 (=${binary:Version}), libisccfg-export90 (=${binary:Version}), libisc-export95 (=${binary:Version}), libirs-export91 (=${binary:Version})
Description: Development files for the exported BIND libraries
 ${Description}
 .
 This package delivers development files for the exported BIND libraries.

Package: libdns-export100
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Exported DNS Shared Library
 ${Description}
 .
 This package delivers the exported libdns shared library.

Package: libdns-export100-udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Exported DNS library for debian-installer

Package: libisc-export95
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Exported ISC Shared Library 
 ${Description}
 .
 This package delivers the exported libisc shared library.

Package: libisc-export95-udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Exported ISC library for debian-installer

Package: libisccfg-export90
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Exported ISC CFG Shared Library
 ${Description}
 .
 This package delivers the exported libisccfg shared library.

Package: libisccfg-export90-udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Exported ISC CFG library for debian-installer

Package: libirs-export91
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Exported IRS Shared Library
 ${Description}
 .
 This package delivers the exported libirs shared library.

Package: libirs-export91-udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Exported IRS library for debian-installer
