## bind9 9.10.3.dfsg.P4

=== debian/changelog ===
bind9 (1:9.10.3.dfsg.P4-8ubuntu1.19) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS via broken inbound incremental zone update (IXFR)
    - debian/patches/CVE-2021-25214.patch: immediately reject the entire
      transfer for certain RR in lib/dns/xfrin.c.
    - CVE-2021-25214
  * SECURITY UPDATE: assert via answering certain queries for DNAME records
    - debian/patches/CVE-2021-25215.patch: fix assert checks in
      lib/ns/query.c.
    - CVE-2021-25215
  * SECURITY UPDATE: overflow in BIND's GSSAPI security policy negotiation
    - debian/rules: build with --disable-isc-spnego to disable internal
      SPNEGO and use the one from the kerberos libraries.
    - CVE-2021-25216

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Apr 2021 07:18:12 -0400

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.18) xenial-security; urgency=medium

  * SECURITY UPDATE: off-by-one bug in ISC SPNEGO implementation
    - debian/patches/CVE-2020-8625.patch: properly calculate length in
      lib/dns/spnego.c.
    - CVE-2020-8625

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Feb 2021 08:09:41 -0500

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.17) xenial-security; urgency=medium

  * SECURITY UPDATE: A truncated TSIG response can lead to an assertion
    failure
    - debian/patches/CVE-2020-8622.patch: move code in lib/dns/message.c.
    - CVE-2020-8622
  * SECURITY UPDATE: A flaw in native PKCS#11 code can lead to a remotely
    triggerable assertion failure
    - debian/patches/CVE-2020-8623.patch: add extra checks in
      lib/dns/pkcs11dh_link.c, lib/dns/pkcs11dsa_link.c,
      lib/dns/pkcs11rsa_link.c, lib/isc/include/pk11/internal.h,
      lib/isc/pk11.c.
    - CVE-2020-8623

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Aug 2020 08:18:25 -0400

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.16) xenial-security; urgency=medium

  * SECURITY UPDATE: BIND does not sufficiently limit the number of fetches
    performed when processing referrals
    - debian/patches/CVE-2020-8616.patch: further limit the number of
      queries that can be triggered from a request in lib/dns/adb.c,
      lib/dns/include/dns/adb.h, lib/dns/resolver.c.
    - CVE-2020-8616
  * SECURITY UPDATE: A logic error in code which checks TSIG validity can
    be used to trigger an assertion failure in tsig.c
    - debian/patches/CVE-2020-8617.patch: don't allow replaying a TSIG
      BADTIME response in lib/dns/tsig.c.
    - CVE-2020-8617

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 May 2020 08:23:59 -0400

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.15) xenial; urgency=medium

  * d/p/ubuntu//lp-1833400*: fix race on shutdown (LP: #1833400)
  * d/p/fix-shutdown-race.diff: dig/host/nslookup could crash when interrupted
    close to a query timeout (LP: #1797926)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Aug 2019 07:30:49 +0200

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.14) xenial-security; urgency=medium

  * SECURITY UPDATE: limiting simultaneous TCP clients is ineffective
    - debian/patches/CVE-2018-5743.patch: add reference counting in
      bin/named/client.c, bin/named/include/named/client.h,
      bin/named/include/named/interfacemgr.h, bin/named/interfacemgr.c,
      lib/isc/include/isc/quota.h, lib/isc/quota.c,
      lib/isc/win32/libisc.def.in.
    - debian/patches/CVE-2018-5743-atomic-fix.patch: replace atomic
      operations with isc_refcount reference counting in
      bin/named/client.c, bin/named/include/named/interfacemgr.h,
      bin/named/interfacemgr.c.
    - CVE-2018-5743

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Apr 2019 06:17:28 -0400

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.12) xenial-security; urgency=medium

  * SECURITY UPDATE: assertion failure when a trust anchor rolls over to an
    unsupported key algorithm when using managed-keys
    - debian/patches/CVE-2018-5745-pre.patch: enhance rfc 5011 logging in
      lib/dns/zone.c, 
    - debian/patches/CVE-2018-5745.patch: properly handle situations when
      the key tag cannot be computed in lib/dns/include/dst/dst.h,
      lib/dns/zone.c.
    - CVE-2018-5745
  * SECURITY UPDATE: Controls for zone transfers may not be properly
    applied to Dynamically Loadable Zones (DLZs) if the zones are writable
    - debian/patches/CVE-2019-6465.patch: handle zone transfers marked in
      the zone table as a DLZ zone bin/named/xfrout.c.
    - CVE-2019-6465

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Feb 2019 10:07:28 +0100

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.11) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service crash when deny-answer-aliases
    option is used
    - debian/patches/CVE-2018-5740.patch: explicit DNAME query could
      trigger a crash if deny-answer-aliases was set
    - CVE-2018-5740

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Sep 2018 14:18:30 +0200

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.10) xenial-security; urgency=medium

  * SECURITY UPDATE: assertion failure via improper cleanup
    - debian/patches/CVE-2017-3145.patch: fix cleanup handling in
      lib/dns/resolver.c.
    - CVE-2017-3145

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Jan 2018 07:27:16 -0500

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.9) xenial; urgency=medium

  * d/bind9.service: source the defaults file and start the daemon with the
    options set there (LP: #1565060).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 06 Nov 2017 17:26:27 -0200

bind9 (1:9.10.3.dfsg.P4-8ubuntu1.8) xenial-security; urgency=medium

  * SECURITY REGRESSION: regression in last security update
    - debian/patches/CVE-2017-3142-regression.patch: fix verification of
      TSIG signed TCP message sequences where not all the messages contain
      TSIG records in lib/dns/tsig.c, aded test to
      lib/dns/tests/Makefile.in, lib/dns/tests/tsig_test.c.
  * debian/patches/update_keys.patch: Update the built in managed keys to
    include the upcoming root KSK in bind.keys, bind.keys.h.


